/*
Copyright 2010-2012 Sergey Levin


This file is part of crosti.

Crosti is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Crosti is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with crosti.  If not, see <http://www.gnu.org/licenses/>.
*/


#include "message.h"

//------------------------------------------------------------------------------
//---ТЕСТ РУССКИХ БУКВ
//------------------------------------------------------------------------------

QString* Info::_dataPath=NULL;


Info::~Info(){
  while(!labelList.isEmpty())
    delete labelList.takeFirst();
}


QString Info::colorSign(int i)
{
  const char letter[]="ABCDEFGHIJKLMNOPQRSTUVWXYZ";
  QString result="";
  uint rem=i%10;
  uint num=uint((i-rem)/10);
  if(num<sizeof(letter))result=letter[num]+QString::number(rem);
  return result;
}

void Info::messageSplash(QString msgstr,int delay)
{
 const int num=5;
 static int dx=0;

 if(labelList.size()==num){
   QLabel *lb=labelList[0];
   labelList.removeFirst();
   lb->close();
   lb->~QLabel();
 }
 if(dx==num)dx=0;


 QLabel *lb=new QLabel(msgstr);

 QSettings rsettings(QApplication::organizationName(),QApplication::applicationName());
 QFont font=rsettings.value("font/mainfont").value<QFont>();
 lb->setFont(font);

 lb->setAlignment(Qt::AlignHCenter);
 lb->setWindowFlags(Qt::ToolTip);
 lb->setStyleSheet("QLabel{border: 2px solid gray;padding: 0 8px;background: yellow;selection-background-color: darkgray;}");

 QFontMetrics fm(font);
 int pixelsWide=fm.width(msgstr)+30;
 int pixelsHigh=fm.height()+5;
 int x=int(parent->x()+(parent->width()-pixelsWide)/2);
 int y=int(parent->y()+(parent->height()-pixelsHigh)/2);
 lb->setMinimumWidth(pixelsWide);
 lb->setGeometry(x,y-dx*(pixelsHigh+5),pixelsWide,pixelsHigh);

 lb->show();
 QTimer::singleShot(delay,lb,SLOT(close()));
 labelList.append(lb);


 dx++;
}

